<template>
  <a-pagination
    v-model:current="current"
    :total="500"
    @change="onChange"
    :showLessItems="true"
  />
</template>

<script setup>
import { defineProps, defineEmits, computed } from 'vue';

const props = defineProps({
  modelValue: {
    type: null
  }
});

const emit = defineEmits(['update:modelValue']);

const current = computed(() => {
  return props.modelValue;
});

const onChange = (page) => {
  emit('update:modelValue', page);
};
</script>
